#!/usr/bin/env node
var fs = require('fs');

var html = fs.readFileSync('../yarn.html', {encoding: 'utf8'});

html = html.replace(/^\$([^<>\n]+)$/mg, function(m) {
	var fn = m.substring(1).trim();
	if (fn == 'game.js') {
		return '$GAME';
	} else {
		return fs.readFileSync('../' + fn, {encoding: 'utf8'});
	}
});

process.stdout.write('var htmltemplate = ' + JSON.stringify(html) + ';\n');
process.stdout.write('if (exports) { exports.htmltemplate = htmltemplate; }\n');
